IDR_DESTROY(9)

NAME
idr_destroy - release all cached layers within an idr tree

SYNOPSIS

void idr_destroy(struct idr * idp);

ARGUMENTS

idp
    idr handle

DESCRIPTION

Free all id mappings and all idp_layers. After this function, idp is completely unused and can be freed / recycled. The caller is responsible for ensuring that no one else accesses idp during or after idr_destroy.

A typical clean-up sequence for objects stored in an idr tree will use idr_for_each to free all objects, if necessary, then idr_destroy to free up the id mappings and cached idr_layers.

COPYRIGHT